<?php
/* ************************************************************************** *
 *																										*
 * Core lib - lib_simple_template.php v3.1 by Slodave, 2007 - avgust 2008,		*
 * http://www.zabec.net																			*
 * -------- -------- -------- -------- -------- -------- -------- --------		*
 * 																									*
 * Datoteka vsebuje funkcije, ki se uporabljajo za izpis in manipulacijo 		*
 * templatov																						*
 * ************************************************************************** */

/* Funkcija skrbi za dodajanje nove css datoteke
 * klicano iz: @ - index.php
 * @parameter: $link označuje povezavo do css datoteke
 */
function dodajCss($link) {
	//preverimo če datoteka obstaja
	if(file_exists($link)) {
		global $tpl;
		$tpl->newBlock("dodatni_css");
		$tpl->assign("css_link",$link);
	}
}

/* Funkcija skrbi za dodajanje nove javascript datoteke
 * klicano iz: @ - index.php
 * @parameter: $link označuje povezavo do javascript datoteke
 */
function dodajJS($link)	{
	//preverimo če datoteka obstaja
	if(file_exists($link)) {
		global $tpl;
		$tpl->newBlock("dodatni_js");
		$tpl->assign("js_link",$link);
	}
}

/* Funkcija skrbi za dodajanje povezave osnutka (in št. osnutkov) v levi menu
 * klicano iz: @listing - lib_listing.php
 * @parameter: $tabela - osnovna tabela modula
 */
function steviloOsnutkov($tabela) {
	global $db;
	//število osnutkov
	$result = $db->query("SELECT COUNT(id) AS stevilo_osnutkov FROM $tabela WHERE osnutek = 1");
	$r = $result->fetch();
	return $r['stevilo_osnutkov'];
}

/* Funkcija generira prvi del naslova v editorju in detailnem pogledu
 * klicano iz: @detail - lib_detail.php
 *					@editor:generate_naslov() - lib_editor_generate.php
 * @parameter: $modul predstavlja izbran modul
 */
function generate_naslov($modul)	{
	global $db;
	global $tpl;

	$result = $db->query("SELECT modul, topmenu FROM core_modules AS p LEFT JOIN core_topmenu AS d ON id_topmenu = d.id WHERE modul_link = '$modul'");
	$r = $result->fetch();
	$tpl->gotoBlock("_ROOT");
	$tpl->assign("modul",$r['modul']);
	$tpl->assign("topmenu",$r['topmenu']);
}

/* Funkcija očisti spremenljivko pike
 * klicano iz: @generateViewListing() - lib_listing.php
 * @parameter: $field predstavlja spremenljivko za čiščenje (navadno $mod_settings['listing_db_polja'])
 */
function clearLang($field) {
	if(strpos($field,".")) {
		return substr(strrchr($field,"."), 1);
	}
	else {
		return $field;
	}
}

/* Funkcija dobi končnico datoteke, ter ustrezno sliko za končnico
 * klicano iz: @ - lib_detail.php
 *					@editor:generate_datoteka() - lib_editor_generate.php
 * @parameter: $datoteka predstavlja podatek iz kjer poberemo končnico
 */
function get_ikona_za_datoteko($datoteka){
	//dobimo končnico
	$koncnica = strtolower(strrchr($datoteka,"."));
	switch($koncnica) {
		case ".pdf":
			$ikona = "i_pdf.png";
		break;
		case ".doc":
			$ikona = "i_doc.png";
		break;
		case ".ppt":
			$ikona = "i_ppt.png";
		break;
		case ".xls":
			$ikona = "i_xls.png";
		break;
		default:
			$ikona = "i_no.png";
		break;
	}
	return $ikona;
}
?>